## kodi-addon-game-libretro-2.2.0-8.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(game.libretro)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(TinyXML REQUIRED)

include_directories(${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/src
                    ${TINYXML_INCLUDE_DIRS})

list(APPEND DEPLIBS ${TINYXML_LIBRARIES})

if(WIN32)
  find_package(dlfcn-win32 REQUIRED)
  list(APPEND DEPLIBS ${dlfcn-win32_LIBRARIES})
  include_directories(${dlfcn-win32_INCLUDE_DIRS})
endif()

set(LIBRETRO_SOURCES src/client.cpp
                     src/audio/AudioStream.cpp
                     src/audio/SingleFrameAudio.cpp
                     src/GameInfoLoader.cpp
                     src/input/ButtonMapper.cpp
                     src/input/ControllerLayout.cpp
                     src/input/ControllerTopology.cpp
                     src/input/DefaultControllerTranslator.cpp
                     src/input/DefaultKeyboardTranslator.cpp
                     src/input/InputManager.cpp
                     src/input/InputTranslator.cpp
                     src/input/LibretroDevice.cpp
                     src/input/LibretroDeviceInput.cpp
                     src/libretro/ClientBridge.cpp
                     src/libretro/FrontendBridge.cpp
                     src/libretro/LibretroDLL.cpp
                     src/libretro/LibretroEnvironment.cpp
                     src/libretro/LibretroResources.cpp
                     src/libretro/LibretroTranslator.cpp
                     src/log/Log.cpp
                     src/log/LogAddon.cpp
                     src/log/LogConsole.cpp
                     src/settings/LanguageGenerator.cpp
                     src/settings/LibretroSetting.cpp
                     src/settings/LibretroSettings.cpp
                     src/settings/Settings.cpp
                     src/settings/SettingsGenerator.cpp
                     src/utils/Timer.cpp
                     src/video/VideoGeometry.cpp
                     src/video/VideoStream.cpp)

set(LIBRETRO_HEADERS src/GameInfoLoader.h
                     src/audio/AudioStream.h
                     src/audio/SingleFrameAudio.h
                     src/input/ButtonMapper.h
                     src/input/ControllerLayout.h
                     src/input/ControllerTopology.h
                     src/input/DefaultControllerDefines.h
                     src/input/DefaultControllerTranslator.h
                     src/input/DefaultKeyboardDefines.h
                     src/input/DefaultKeyboardTranslator.h
                     src/input/InputDefinitions.h
                     src/input/InputManager.h
                     src/input/InputTranslator.h
                     src/input/InputTypes.h
                     src/input/LibretroDevice.h
                     src/input/LibretroDeviceInput.h
                     src/libretro/ClientBridge.h
                     src/libretro/FrontendBridge.h
                     src/libretro/LibretroDefines.h
                     src/libretro/LibretroDLL.h
                     src/libretro/LibretroEnvironment.h
                     src/libretro/libretro.h
                     src/libretro/LibretroResources.h
                     src/libretro/LibretroTranslator.h
                     src/log/ILog.h
                     src/log/LogAddon.h
                     src/log/LogConsole.h
                     src/log/Log.h
                     src/settings/LanguageGenerator.h
                     src/settings/LibretroSetting.h
                     src/settings/LibretroSettings.h
                     src/settings/SettingsGenerator.h
                     src/settings/Settings.h
                     src/settings/SettingsTypes.h
                     src/utils/Timer.h
                     src/video/VideoGeometry.h
                     src/video/VideoStream.h)

build_addon(${PROJECT_NAME} LIBRETRO DEPLIBS)

include(CPack)

=== PKGBUILD ===
# Maintainer: BlackEagle <ike.devolder@gmail.com>>

pkgname=kodi-addon-game-libretro
pkgver=2.2.0
_codename=Matrix
pkgrel=8
pkgdesc="Libretro wrapper for Kodi's Game API"
arch=('x86_64')
url='https://github.com/kodi-game/game.libretro'
license=('GPL')
groups=('kodi-addons' 'kodi-addons-game')
makedepends=('cmake' 'libretro-core-info' 'kodi-platform' 'kodi-dev')
source=("$pkgname-$pkgver.tar.gz::https://github.com/kodi-game/game.libretro/archive/$pkgver-$_codename.tar.gz")
sha512sums=('f1a5671b468ebf0ea3a86b757ae2481115bfb38082043757aa94d6f193b6eea560b37ccafafe63e686b729d80aa89ac58640899900894d0a72472badadbf27ac')

build() {
    cd "game.libretro-$pkgver-$_codename"
    cmake \
        -DCMAKE_INSTALL_PREFIX=/usr \
        -DCMAKE_BUILD_TYPE=Release \
        -DBUILD_SHARED_LIBS=1 \
        -DUSE_LTO=1 \
        .
    make
}

package() {
    depends=('kodi' 'kodi-platform' 'libretro-core-info')
    cd "game.libretro-$pkgver-$_codename"
	make DESTDIR="$pkgdir/" install
}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DBUILD_SHARED_LIBS=1 -DUSE_LTO=1

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-game-libretro
